var _excluded = ["children", "caption", "type"];

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React, { forwardRef, useRef, useImperativeHandle } from 'react';
import locale from "./../locale"; // type: loading,noMore,failed

import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
var BottomFinish = /*#__PURE__*/forwardRef(function (_ref, ref) {
  var children = _ref.children,
      caption = _ref.caption,
      type = _ref.type,
      others = _objectWithoutProperties(_ref, _excluded);

  var rootRef = useRef(null);
  useImperativeHandle(ref, function () {
    return rootRef.current;
  }); // 获取提示

  function getCaption() {
    if (caption) return caption;

    if (type === 'loading') {
      return /*#__PURE__*/_jsxs("div", {
        className: "body-pull-push-box",
        children: [/*#__PURE__*/_jsx("div", {
          className: "body-pull-push-icon body-pull-push-icon-loading"
        }), /*#__PURE__*/_jsx("div", {
          className: "body-pull-push-caption",
          children: locale('正在加载...', 'loading')
        })]
      });
    } else {
      return /*#__PURE__*/_jsx("div", {
        className: "body-pull-push-box",
        children: /*#__PURE__*/_jsx("div", {
          className: "body-pull-push-caption",
          children: type === 'noMore' ? locale('没有更多数据了', 'no_more_data') : locale('加载失败, 请稍后再试', 'refreshing_failed')
        })
      });
    }
  }

  return /*#__PURE__*/_jsxs("div", _objectSpread(_objectSpread({
    ref: rootRef,
    className: "SID-Dragrefresh-ErrorContainer body-pull-push",
    style: {
      height: '50px'
    }
  }, others), {}, {
    children: [!children && getCaption(), children]
  }));
});
export default BottomFinish;